<?php
/*
 * Plugin Name: Jetpack Lite
 * Plugin URI: http://wordpress.org/extend/plugins/jetpack-lite/
 * Description: Disables all Jetpack modules except for Stats and WP.me Shortlinks modules. Jetpack is required!
 * Author: Samuel Aguilera
 * Version: 3.0
 * Author URI: http://www.samuelaguilera.com
 * License: GPL2+
 */

if ( is_plugin_active( 'jetpack/jetpack.php' ) ) {

		function Leave_only_JetpackLite_modules ( $modules ) {
		    $return = array();
		    $return['stats'] = $modules['stats'];
		    $return['shortlinks'] = $modules['shortlinks'];
		    return $return;
		}

		add_filter( 'jetpack_get_available_modules', 'Leave_only_JetpackLite_modules' );

		function Activate_only_JetpackLite_modules() {
		    return array( 'stats', 'shortlinks' );
		}

		add_filter( 'jetpack_get_default_modules', 'Activate_only_JetpackLite_modules' );

}

?>